---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libji05t001.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FC38, symBinAddr: 0xC258, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51B78, symBinAddr: 0xE198, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51F60, symBinAddr: 0xE580, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52F00, symBinAddr: 0xF520, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52F08, symBinAddr: 0xF528, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F868, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F86C, symBinAddr: 0xC0CC, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F870, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F9C0, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FA78, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FA7C, symBinAddr: 0xC194, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FA80, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FA84, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FA88, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8ED7, offset: 0x8ED7, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FA90, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F60, offset: 0x8F60, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FAA8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x8F79, offset: 0x8F79, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FAB0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x8F92, offset: 0x8F92, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FAB8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8FAB, offset: 0x8FAB, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FAC0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FC5, offset: 0x8FC5, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FAC8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x90AB, offset: 0x90AB, size: 0x8, addend: 0x0, symName: __ZL11redir_calls, symObjAddr: 0x4FB0C, symBinAddr: 0xC1E4, symSize: 0x0 }
  - { offsetInCU: 0x90D0, offset: 0x90D0, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x4FB18, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x90F5, offset: 0x90F5, size: 0x8, addend: 0x0, symName: __ZL8agentThr, symObjAddr: 0x4FB28, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x911A, offset: 0x911A, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FB38, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x9138, offset: 0x9138, size: 0x8, addend: 0x0, symName: __ZL2vm, symObjAddr: 0x4FB40, symBinAddr: 0xC218, symSize: 0x0 }
  - { offsetInCU: 0x9151, offset: 0x9151, size: 0x8, addend: 0x0, symName: __ZL5redir, symObjAddr: 0x4FB7C, symBinAddr: 0xC224, symSize: 0x0 }
  - { offsetInCU: 0x916A, offset: 0x916A, size: 0x8, addend: 0x0, symName: __ZL10thrstarted, symObjAddr: 0x4FB84, symBinAddr: 0xC22C, symSize: 0x0 }
  - { offsetInCU: 0x9183, offset: 0x9183, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FB90, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x91A8, offset: 0x91A8, size: 0x8, addend: 0x0, symName: __ZL19redir_jni_functions, symObjAddr: 0x4FBA0, symBinAddr: 0xC248, symSize: 0x0 }
  - { offsetInCU: 0x92D3, offset: 0x92D3, size: 0x8, addend: 0x0, symName: _procedure, symObjAddr: 0x3C, symBinAddr: 0x28FC, symSize: 0x34 }
  - { offsetInCU: 0x9445, offset: 0x9445, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x29D8, symSize: 0xA0 }
  - { offsetInCU: 0x94DA, offset: 0x94DA, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x29B0, symSize: 0x28 }
  - { offsetInCU: 0x953D, offset: 0x953D, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2930, symSize: 0x80 }
  - { offsetInCU: 0x97D1, offset: 0x97D1, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x2A78, symSize: 0x34 }
  - { offsetInCU: 0x982B, offset: 0x982B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2AAC, symSize: 0x20C }
  - { offsetInCU: 0x99E4, offset: 0x99E4, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2CB8, symSize: 0x28 }
  - { offsetInCU: 0x9AAD, offset: 0x9AAD, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x2CE0, symSize: 0xB0 }
  - { offsetInCU: 0x9BA4, offset: 0x9BA4, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x2D90, symSize: 0xD8 }
  - { offsetInCU: 0x9CE9, offset: 0x9CE9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x2E68, symSize: 0x24 }
  - { offsetInCU: 0x9DAC, offset: 0x9DAC, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x2E8C, symSize: 0x168 }
  - { offsetInCU: 0x9F88, offset: 0x9F88, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2FF4, symSize: 0x104 }
  - { offsetInCU: 0xA239, offset: 0xA239, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x30F8, symSize: 0x3F8 }
  - { offsetInCU: 0xA45D, offset: 0xA45D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x34F0, symSize: 0x154 }
  - { offsetInCU: 0xA641, offset: 0xA641, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3644, symSize: 0xAC }
  - { offsetInCU: 0xA716, offset: 0xA716, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x36F0, symSize: 0x14 }
  - { offsetInCU: 0xA74F, offset: 0xA74F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3704, symSize: 0x14 }
  - { offsetInCU: 0xA788, offset: 0xA788, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3718, symSize: 0x14 }
  - { offsetInCU: 0xA905, offset: 0xA905, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x372C, symSize: 0x1A8 }
  - { offsetInCU: 0xAC19, offset: 0xAC19, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x38D4, symSize: 0x9C }
  - { offsetInCU: 0xACD6, offset: 0xACD6, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3970, symSize: 0x690 }
  - { offsetInCU: 0xB868, offset: 0xB868, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9308, symBinAddr: 0x4D44, symSize: 0x30 }
  - { offsetInCU: 0xB8F4, offset: 0xB8F4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4000, symSize: 0x74 }
  - { offsetInCU: 0xB984, offset: 0xB984, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4074, symSize: 0xB0 }
  - { offsetInCU: 0xBA8F, offset: 0xBA8F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4124, symSize: 0x3C }
  - { offsetInCU: 0xBB85, offset: 0xBB85, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4160, symSize: 0x29C }
  - { offsetInCU: 0xBEC8, offset: 0xBEC8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x43FC, symSize: 0xD0 }
  - { offsetInCU: 0xBFF6, offset: 0xBFF6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x44CC, symSize: 0xC }
  - { offsetInCU: 0xC0B8, offset: 0xC0B8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x44D8, symSize: 0x22C }
  - { offsetInCU: 0xC373, offset: 0xC373, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4704, symSize: 0x4 }
  - { offsetInCU: 0xC3B7, offset: 0xC3B7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4704, symSize: 0x4 }
  - { offsetInCU: 0xC3D0, offset: 0xC3D0, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x4708, symSize: 0x3E8 }
  - { offsetInCU: 0xC72A, offset: 0xC72A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x90B4, symBinAddr: 0x4AF0, symSize: 0x4 }
  - { offsetInCU: 0xC76E, offset: 0xC76E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x90B4, symBinAddr: 0x4AF0, symSize: 0x4 }
  - { offsetInCU: 0xC787, offset: 0xC787, size: 0x8, addend: 0x0, symName: _MyGetVersionA, symObjAddr: 0x90B8, symBinAddr: 0x4AF4, symSize: 0x64 }
  - { offsetInCU: 0xC7D6, offset: 0xC7D6, size: 0x8, addend: 0x0, symName: _MyGetVersionB, symObjAddr: 0x911C, symBinAddr: 0x4B58, symSize: 0x64 }
  - { offsetInCU: 0xC867, offset: 0xC867, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_jni_1interception_JI05_ji05t001_getResult, symObjAddr: 0x9180, symBinAddr: 0x4BBC, symSize: 0x188 }
  - { offsetInCU: 0xC9AD, offset: 0xC9AD, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9338, symBinAddr: 0x4D74, symSize: 0x358 }
  - { offsetInCU: 0xCF8E, offset: 0xCF8E, size: 0x8, addend: 0x0, symName: __ZL7VMInitAP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x9690, symBinAddr: 0x50CC, symSize: 0x2C }
  - { offsetInCU: 0xCFF5, offset: 0xCFF5, size: 0x8, addend: 0x0, symName: __ZL10startAgenti, symObjAddr: 0x96E8, symBinAddr: 0x5124, symSize: 0x1DC }
  - { offsetInCU: 0xD18E, offset: 0xD18E, size: 0x8, addend: 0x0, symName: __ZL7VMInitBP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x96BC, symBinAddr: 0x50F8, symSize: 0x2C }
  - { offsetInCU: 0xD31C, offset: 0xD31C, size: 0x8, addend: 0x0, symName: __ZL6agentAPv, symObjAddr: 0x98C4, symBinAddr: 0x5300, symSize: 0x434 }
  - { offsetInCU: 0xD70E, offset: 0xD70E, size: 0x8, addend: 0x0, symName: __ZL10doRedirectP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0xA0D4, symBinAddr: 0x5B10, symSize: 0x1F8 }
  - { offsetInCU: 0xD951, offset: 0xD951, size: 0x8, addend: 0x0, symName: __ZL6agentBPv, symObjAddr: 0x9CF8, symBinAddr: 0x5734, symSize: 0x3DC }
...
